Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.aop.dynaop
Class DynaopAspectablePicoContainerFactory

    java.lang.Object
      org.nanocontainer.aop.dynaop.DynaopAspectablePicoContainerFactory

All Implemented Interfaces:
  AspectablePicoContainerFactory

    public class DynaopAspectablePicoContainerFactory

extends Object
implements AspectablePicoContainerFactory

Uses dynaop to create `AspectablePicoContainer` objects.

Version:
  $Revision: 3144 $
Author:
  Stephen Molitor, Mauro Talevi

Constructor Summary
`DynaopAspectablePicoContainerFactory()`

Method Summary
`AspectablePicoContainer` | `createContainer()` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(Class containerClass, AspectsManager aspectsManager, org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(Class containerClass, org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `makeChildContainer(AspectablePicoContainer parent)` Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer` The child container will be obtained aspectifying `MutablePicoContainer#makeChildContainer()`.
`AspectablePicoContainer` | `makeChildContainer(AspectsManager aspectsManager, AspectablePicoContainer parent)` Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynaopAspectablePicoContainerFactory

    public DynaopAspectablePicoContainerFactory()

Method Detail

### createContainer

    public AspectablePicoContainer createContainer(Class containerClass,
                                                   AspectsManager aspectsManager,
                                                   org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                                   org.picocontainer.PicoContainer parent)

  Description copied from interface: `AspectablePicoContainerFactory`
  Creates a new `AspectablePicoContainer`.

  Specified by:
    `createContainer` in interface `AspectablePicoContainerFactory`
  Parameters:
    `containerClass` - the class of the basic container to delegate to.
    `aspectsManager` - the aspects manager used to register and apply aspects.
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    public AspectablePicoContainer createContainer(Class containerClass,
                                                   org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                                   org.picocontainer.PicoContainer parent)

  Description copied from interface: `AspectablePicoContainerFactory`
  Creates a new `AspectablePicoContainer`.

  Specified by:
    `createContainer` in interface `AspectablePicoContainerFactory`
  Parameters:
    `containerClass` - the class of the basic container to delegate to.
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    public AspectablePicoContainer createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                                   org.picocontainer.PicoContainer parent)

  Description copied from interface: `AspectablePicoContainerFactory`
  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container.

  Specified by:
    `createContainer` in interface `AspectablePicoContainerFactory`
  Parameters:
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    public AspectablePicoContainer createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory)

  Description copied from interface: `AspectablePicoContainerFactory`
  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container.

  Specified by:
    `createContainer` in interface `AspectablePicoContainerFactory`
  Parameters:
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    public AspectablePicoContainer createContainer(org.picocontainer.PicoContainer parent)

  Description copied from interface: `AspectablePicoContainerFactory`
  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container. Uses `org.picocontainer.defaults.DefaultComponentAdapterFactory` as the delegate component adapter factory.

  Specified by:
    `createContainer` in interface `AspectablePicoContainerFactory`
  Parameters:
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    public AspectablePicoContainer createContainer()

  Description copied from interface: `AspectablePicoContainerFactory`
  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container. Uses `org.picocontainer.defaults.DefaultComponentAdapterFactory` as the delegate component adapter factory.

  Specified by:
    `createContainer` in interface `AspectablePicoContainerFactory`
  Returns:
    a new `AspectablePicoContainer`.

### makeChildContainer

    public AspectablePicoContainer makeChildContainer(AspectsManager aspectsManager,
                                                      AspectablePicoContainer parent)

  Description copied from interface: `AspectablePicoContainerFactory`
  Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer`. The child container will be obtained aspectifying `MutablePicoContainer#makeChildContainer()`.

  Specified by:
    `makeChildContainer` in interface `AspectablePicoContainerFactory`
  Parameters:
    `aspectsManager` - the aspects manager used to register and apply aspects.
    `parent` - the parent AspectablePicoContainer
  Returns:
    A child AspectablePicoContainer

### makeChildContainer

    public AspectablePicoContainer makeChildContainer(AspectablePicoContainer parent)

  Description copied from interface: `AspectablePicoContainerFactory`
  Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer` The child container will be obtained aspectifying `MutablePicoContainer#makeChildContainer()`.

  Specified by:
    `makeChildContainer` in interface `AspectablePicoContainerFactory`
  Parameters:
    `parent` - the parent AspectablePicoContainer
  Returns:
    A child AspectablePicoContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.